## prometheus 1.8.1%2Bds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO           := GO15VENDOREXPERIMENT=1 go
FIRST_GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
PROMU        := $(FIRST_GOPATH)/bin/promu
STATICCHECK  := $(FIRST_GOPATH)/bin/staticcheck
pkgs          = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= prometheus
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))

ifdef DEBUG
	bindata_flags = -debug
endif

STATICCHECK_IGNORE = \
  github.com/prometheus/prometheus/discovery/kubernetes/node.go:SA1019 \
  github.com/prometheus/prometheus/documentation/examples/remote_storage/remote_storage_adapter/main.go:SA1019 \
  github.com/prometheus/prometheus/storage/local/codable/codable.go:SA6002 \
  github.com/prometheus/prometheus/storage/local/persistence.go:SA6002 \
  github.com/prometheus/prometheus/storage/remote/queue_manager.go:SA1015 \
  github.com/prometheus/prometheus/web/web.go:SA1019

all: format staticcheck build test

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

check_license:
	@echo ">> checking license header"
	@./scripts/check_license.sh

test-short:
	@echo ">> running short tests"
	@$(GO) test -short $(pkgs)

test:
	@echo ">> running all tests"
	@$(GO) test $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

staticcheck: $(STATICCHECK)
	@echo ">> running staticcheck"
	@$(STATICCHECK) -ignore "$(STATICCHECK_IGNORE)" $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

assets:
	@echo ">> writing assets"
	@$(GO) get -u github.com/jteeuwen/go-bindata/...
	@go-bindata $(bindata_flags) -pkg ui -o web/ui/bindata.go -ignore '(.*\.map|bootstrap\.js|bootstrap-theme\.css|bootstrap\.css)'  web/ui/templates/... web/ui/static/...
	@$(GO) fmt ./web/ui

promu:
	@echo ">> fetching promu"
	@GOOS=$(shell uname -s | tr A-Z a-z) \
	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
	$(GO) get -u github.com/prometheus/promu

$(FIRST_GOPATH)/bin/staticcheck:
	@GOOS= GOARCH= $(GO) get -u honnef.co/go/tools/cmd/staticcheck

.PHONY: all style check_license format build test vet assets tarball docker promu staticcheck $(FIRST_GOPATH)/bin/staticcheck

## prometheus 1.8.1+ds

=== debian/changelog ===
prometheus (1.8.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert "Workaround for FTBFS in i386 until #877541 is solved."
  * Update dependency on Azure SDK.

 -- Martín Ferrari <tincho@debian.org>  Fri, 03 Nov 2017 01:13:07 +0000

prometheus (1.8.1+ds-2) unstable; urgency=medium

  * Replace gogo/protobuf dependency with golang equivalent.
  * Workaround for FTBFS in i386 until #877541 is solved.

 -- Martín Ferrari <tincho@debian.org>  Tue, 24 Oct 2017 22:32:55 +0000

prometheus (1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update AWS dependency and remove patch.
  * Re-vendor consul API.
  * Update Standards-Version and Priority.

 -- Martín Ferrari <tincho@debian.org>  Tue, 24 Oct 2017 10:32:53 +0000

prometheus (1.7.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * debian/watch: More robust rules; accept more pre-releases.
  * Update default config.
  * Stop using pristine-tar.
  * Increase compat to 10; remove dh-systemd dep.
  * Replace new JS vendored dependency with sources.

 -- Martín Ferrari <tincho@debian.org>  Mon, 02 Oct 2017 13:15:32 +0000

prometheus (1.7.1+ds-3) unstable; urgency=medium

  * Add patch to work with latest azure-go-autorest package.
  * Move adduser to normal Depends.
  * debian/control: Remove all non-direct dependencies.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Sep 2017 01:46:43 +0000

prometheus (1.7.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Move adduser to normal Depends.
  * debian/control: Remove all non-direct dependencies.
  * debain-control: Tighten dependency con -common.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Sep 2017 00:42:56 +0000

prometheus (1.7.1+ds-2) unstable; urgency=medium

  * Update versioned dependency on -common.
  * Remove now unneeded lintian overrides.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * debian/control: Update Standards-Version (no changes).
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * Automatic fixes to control and copyright from cme.

 -- Martín Ferrari <tincho@debian.org>  Tue, 29 Aug 2017 00:17:30 +0000

prometheus (1.7.1+ds-1~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Switch back to golang-go dependency.
  * Re-vendor tiny consul dependency to avoid backporting dozens of packages.
  * Update versioned dependency on -common.

 -- Martín Ferrari <tincho@debian.org>  Thu, 17 Aug 2017 13:19:19 +0000

prometheus (1.6.3+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Use golang-1.8-go directly, as golang-defaults points to 1.7.
  * Use old name for golang-goleveldb.

 -- Martín Ferrari <tincho@debian.org>  Sun, 16 Jul 2017 23:15:05 +0000

=== debian/control ===
Source: prometheus
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-golang (>= 1.17~),
               golang-github-asaskevich-govalidator-dev,
               golang-github-aws-aws-sdk-go-dev (>= 1.4),
               golang-github-azure-azure-sdk-for-go-dev (>= 10),
               golang-github-azure-go-autorest-dev (>= 8),
               golang-github-fsnotify-fsnotify-dev,
               golang-github-golang-snappy-dev,
               golang-github-gophercloud-gophercloud-dev,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-hashicorp-serf-dev,
               golang-github-miekg-dns-dev (>= 0.0~git20170501),
               golang-github-opentracing-contrib-go-stdlib-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0+git20170707.3e6a763-1~bpo9+2),
               golang-github-samuel-go-zookeeper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-go (>= 2:1.8~),
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/prometheus

Package: prometheus
Architecture: any
Depends: adduser,
         daemon | systemd-sysv,
         libjs-bootstrap,
         libjs-eonasdan-bootstrap-datetimepicker,
         libjs-jquery (>= 1.11.3~),
         libjs-jquery-hotkeys,
         libjs-moment,
         libjs-mustache (>= 2.3.0-1~),
         libjs-rickshaw,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: prometheus-node-exporter,
Built-Using: ${misc:Built-Using},
Description: Monitoring system and time series database
 Prometheus is a systems and services monitoring system. It collects metrics
 from configured targets at given intervals, evaluates rule expressions,
 displays the results, and can trigger alerts if some condition is observed to
 be true.
 .
 Prometheus' main distinguishing features as compared to other monitoring
 systems are:
 .
  * A multi-dimensional data model (timeseries defined by metric name and set
    of key/value dimensions).
  * A flexible query language to leverage this dimensionality.
  * No dependency on distributed storage; single server nodes are autonomous.
  * Timeseries collection happens via a pull model over HTTP.
  * Pushing timeseries is supported via an intermediary gateway.
  * Targets are discovered via service discovery or static configuration.
  * Multiple modes of graphing and dashboarding support.
  * Federation support coming soon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
    storage/local/fixtures config/testdata promql/testdata retrieval/testdata \
    promql/fuzz-data util/httputil/testdata
# Do not build examples.
export DH_GOLANG_EXCLUDES := documentation vendor

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

# Taken and modified from the project's Makefile.

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

ifeq ($(DEB_HOST_ARCH_CPU),arm)
# Tests in armel take way too long, and run out of memory in armhf.
TESTFLAGS  := -timeout 60m -short
else
TESTFLAGS  := -timeout 20m
endif

%:
	dh $@ --buildsystem=golang --with=golang,systemd \
            --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

override_dh_auto_test:
	dh_auto_test -- $(TESTFLAGS)

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus 2.0.0+ds3

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO           := GO15VENDOREXPERIMENT=1 go
+GO           ?= GO15VENDOREXPERIMENT=1 go
+GOFMT        ?= $(GO)fmt
 FIRST_GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
 PROMU        := $(FIRST_GOPATH)/bin/promu
 STATICCHECK  := $(FIRST_GOPATH)/bin/staticcheck
@@ -27,30 +28,32 @@
 endif
 
 STATICCHECK_IGNORE = \
+  github.com/prometheus/prometheus/discovery/kubernetes/kubernetes.go:SA1019 \
   github.com/prometheus/prometheus/discovery/kubernetes/node.go:SA1019 \
   github.com/prometheus/prometheus/documentation/examples/remote_storage/remote_storage_adapter/main.go:SA1019 \
-  github.com/prometheus/prometheus/storage/local/codable/codable.go:SA6002 \
-  github.com/prometheus/prometheus/storage/local/persistence.go:SA6002 \
-  github.com/prometheus/prometheus/storage/remote/queue_manager.go:SA1015 \
+  github.com/prometheus/prometheus/pkg/textparse/lex.l.go:SA4006 \
+  github.com/prometheus/prometheus/pkg/pool/pool.go:SA6002 \
+  github.com/prometheus/prometheus/promql/engine.go:SA6002 \
   github.com/prometheus/prometheus/web/web.go:SA1019
 
 all: format staticcheck build test
 
 style:
 	@echo ">> checking code style"
-	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'
+	@! $(GOFMT) -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'
 
 check_license:
 	@echo ">> checking license header"
 	@./scripts/check_license.sh
 
+# TODO(fabxc): example tests temporarily removed.
 test-short:
 	@echo ">> running short tests"
-	@$(GO) test -short $(pkgs)
+	@$(GO) test -short $(shell $(GO) list ./... | grep -v /vendor/ | grep -v examples)
 
 test:
 	@echo ">> running all tests"
-	@$(GO) test $(pkgs)
+	@$(GO) test $(shell $(GO) list ./... | grep -v /vendor/ | grep -v examples)
 
 format:
 	@echo ">> formatting code"
@@ -86,6 +89,7 @@
 	@echo ">> fetching promu"
 	@GOOS=$(shell uname -s | tr A-Z a-z) \
 	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
+	GO="$(GO)" \
 	$(GO) get -u github.com/prometheus/promu
 
 $(FIRST_GOPATH)/bin/staticcheck:

=== debian/changelog ===
prometheus (2.0.0+ds3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Refine dependencies.
  * debian/init: Update metrics path.
  * debian/rules: Fix whatis entries in man pages.

 -- Martín Ferrari <tincho@debian.org>  Sun, 14 Jan 2018 14:58:00 +0000

prometheus (2.0.0+ds3-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * New upstream release, with many breaking changes.
  * Remove new vendored dependencies.
  * Replace new JS vendored dependency with sources.
  * Revendor consul API.
  * Refresh patches.
  * debian/rules: Add new test fixtures.
  * Update cmdline help, init script, and add notice in NEWS.
  * Update default config.
  * Add missing licensing info.
  * debian/watch: More robust rules; accept more pre-releases.
  * Update overrides.
  * Stop using pristine-tar.
  * Increase compat to 10; remove dh-systemd dep.
  * Update Standards-Version and Priority.
  * debian/copyright: Remove now obsolete Files-Excluded. Closes: #884081

  [ Christoph Berg ]
  * The database format changed, metrics data directory is now
    /var/lib/prometheus/metrics2. On upgrade, a debconf prompt asks if the old
    data directory /var/lib/prometheus/metrics should be removed.
  * Add new B-D golang-github-cespare-xxhash-dev,
    golang-github-cockroachdb-cmux-dev, golang-github-dgryski-go-bits-dev,
    golang-github-gogo-protobuf-dev, golang-github-go-logfmt-logfmt-dev,
    golang-github-go-stack-stack-dev,
    golang-github-grpc-ecosystem-grpc-gateway-dev,
    golang-github-nightlyone-lockfile-dev, golang-github-oklog-ulid-dev,
    golang-github-pkg-errors-dev, golang-gopkg-alecthomas-kingpin.v2-dev.
  * Build prometheus and promtool manpages from --help-man.
  * Ship NOTICE file as required by the Apache license.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Jan 2018 19:22:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,39 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-golang (>= 1.17~),
-               golang-github-asaskevich-govalidator-dev,
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
+               golang-github-cespare-xxhash-dev,
+               golang-github-cockroachdb-cmux-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-go-kit-kit-dev,
+               golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-golang-snappy-dev,
                golang-github-gophercloud-gophercloud-dev,
+               golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
+               golang-github-mwitkow-go-conntrack-dev,
                golang-github-opentracing-contrib-go-stdlib-dev,
                golang-github-opentracing-opentracing-go-dev,
+               golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20170707.3e6a763-1~bpo9+2),
+               golang-github-prometheus-common-dev (>= 0+git20171117),
+               golang-github-prometheus-tsdb-dev,
                golang-github-samuel-go-zookeeper-dev,
-               golang-github-stretchr-testify-dev,
-               golang-github-syndtr-goleveldb-dev,
                golang-go (>= 2:1.8~),
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-time-dev,
                golang-google-api-dev,
+               golang-google-genproto-dev (>= 0.0~git20171123),
+               golang-google-grpc-dev,
+               golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git
 Homepage: https://prometheus.io/

## prometheus 2.1.0+ds

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO           ?= GO15VENDOREXPERIMENT=1 go
+GO           ?= go
 GOFMT        ?= $(GO)fmt
 FIRST_GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
 PROMU        := $(FIRST_GOPATH)/bin/promu

=== debian/changelog ===
prometheus (2.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Re-vendor github.com/oklog/oklog/pkg/group.
  * Refresh patches.
  * Patch test that uses prometheus binary.
  * Refine and update versions of dependencies.
  * debian/init: Update metrics path.
  * debian/rules: Fix whatis entries in man pages.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 21:30:42 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-golang-snappy-dev,
                golang-github-gophercloud-gophercloud-dev,
-               golang-github-grpc-ecosystem-grpc-gateway-dev,
+               golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.3),
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
@@ -26,8 +26,8 @@
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20171117),
-               golang-github-prometheus-tsdb-dev,
+               golang-github-prometheus-common-dev (>= 0+git20180110),
+               golang-github-prometheus-tsdb-dev (>= 0.0~git20180118),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.8~),
                golang-golang-x-net-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 export DH_VERBOSE=1
 # Include test fixtures.
 export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
-    storage/local/fixtures config/testdata promql/testdata retrieval/testdata \
-    promql/fuzz-data util/httputil/testdata
+    promql/fuzz-data config/testdata util/httputil/testdata promql/testdata \
+    retrieval/testdata pkg/rulefmt/testdata
+
 # Do not build examples.
 export DH_GOLANG_EXCLUDES := documentation vendor
 
@@ -36,11 +37,22 @@
 endif
 
 %:
+	# stop the service before upgrading, so we can move the v1 database away
 	dh $@ --buildsystem=golang --with=golang,systemd \
             --builddirectory=$(BUILDDIR)
 
+WHATIS1 := "prometheus \\- The Prometheus monitoring server"
+WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
+
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
+	build/bin/prometheus --help-man > build/prometheus.1
+	build/bin/promtool --help-man > build/promtool.1
+	# Remove build user/build date/go version headers, which is ugly.
+	sed -i -e '/^  /d' build/prometheus.1 build/promtool.1
+	# Fix whatis entry.
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) build/prometheus.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
 
 override_dh_auto_test:
 	dh_auto_test -- $(TESTFLAGS)

## prometheus 2.2.0+ds

=== debian/changelog ===
prometheus (2.2.0+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #888153.
  * Add notice about DB changes.
  * Update TSDB version.
  * Refresh patches.
  * Update Azure patch for new breakage.
  * Inline unreleased method from the golang client lib.

 -- Martín Ferrari <tincho@debian.org>  Wed, 14 Mar 2018 18:18:37 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20180110),
-               golang-github-prometheus-tsdb-dev (>= 0.0~git20180118),
+               golang-github-prometheus-tsdb-dev (>= 0.0~git20180302),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.8~),
                golang-golang-x-net-dev,

## prometheus 2.2.1+ds

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,15 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# Ensure GOBIN is not set during build so that promu is installed to the correct path
+unexport GOBIN
+
 GO           ?= go
 GOFMT        ?= $(GO)fmt
 FIRST_GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
 PROMU        := $(FIRST_GOPATH)/bin/promu
 STATICCHECK  := $(FIRST_GOPATH)/bin/staticcheck
+GOVENDOR     := $(FIRST_GOPATH)/bin/govendor
 pkgs          = $(shell $(GO) list ./... | grep -v /vendor/)
 
 PREFIX                  ?= $(shell pwd)
@@ -36,7 +40,7 @@
   github.com/prometheus/prometheus/promql/engine.go:SA6002 \
   github.com/prometheus/prometheus/web/web.go:SA1019
 
-all: format staticcheck build test
+all: format staticcheck unused build test
 
 style:
 	@echo ">> checking code style"
@@ -53,7 +57,7 @@
 
 test:
 	@echo ">> running all tests"
-	@$(GO) test $(shell $(GO) list ./... | grep -v /vendor/ | grep -v examples)
+	@$(GO) test -race $(shell $(GO) list ./... | grep -v /vendor/ | grep -v examples)
 
 format:
 	@echo ">> formatting code"
@@ -66,6 +70,10 @@
 staticcheck: $(STATICCHECK)
 	@echo ">> running staticcheck"
 	@$(STATICCHECK) -ignore "$(STATICCHECK_IGNORE)" $(pkgs)
+
+unused: $(GOVENDOR)
+	@echo ">> running check for unused packages"
+	@$(GOVENDOR) list +unused
 
 build: promu
 	@echo ">> building binaries"
@@ -87,12 +95,12 @@
 
 promu:
 	@echo ">> fetching promu"
-	@GOOS=$(shell uname -s | tr A-Z a-z) \
-	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
-	GO="$(GO)" \
-	$(GO) get -u github.com/prometheus/promu
+	@GOOS= GOARCH= $(GO) get -u github.com/prometheus/promu
 
 $(FIRST_GOPATH)/bin/staticcheck:
 	@GOOS= GOARCH= $(GO) get -u honnef.co/go/tools/cmd/staticcheck
 
-.PHONY: all style check_license format build test vet assets tarball docker promu staticcheck $(FIRST_GOPATH)/bin/staticcheck
+$(FIRST_GOPATH)/bin/govendor:
+	@GOOS= GOARCH= $(GO) get -u github.com/kardianos/govendor
+
+.PHONY: all style check_license format build test vet assets tarball docker promu staticcheck $(FIRST_GOPATH)/bin/staticcheck govendor $(FIRST_GOPATH)/bin/govendor

=== debian/changelog ===
prometheus (2.2.1+ds-2) unstable; urgency=high

  * debian/control: Require latest TSDB version, that solves serious bugs
    in the DB.

 -- Martín Ferrari <tincho@debian.org>  Thu, 29 Mar 2018 09:17:37 +0000

prometheus (2.2.1+ds-1) unstable; urgency=high

  * New upstream release, with critical fixes.
  * Ignore fsnotify on mips64el, rely only on timeouts for file discovery on
    that platform, and disable the tests.
    https://github.com/fsnotify/fsnotify/issues/241

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Mar 2018 04:34:44 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20180110),
-               golang-github-prometheus-tsdb-dev (>= 0.0~git20180302),
+               golang-github-prometheus-tsdb-dev (>= 0.0~git20180314),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.8~),
                golang-golang-x-net-dev,

## prometheus 2.3.2+ds

=== debian/changelog ===
prometheus (2.3.2+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Martín Ferrari <tincho@debian.org>  Sun, 05 Aug 2018 18:46:45 +0000

prometheus (2.3.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update tsdb version dependency.
  * Bump Standards-Version (no changes).

 -- Martín Ferrari <tincho@debian.org>  Sat, 28 Jul 2018 23:14:10 +0000

prometheus (2.3.1+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debian/gbp.conf: Set debian-branch for BPO.
  * debian/control: Adjust dependencies versions.

 -- Martín Ferrari <tincho@debian.org>  Sat, 07 Jul 2018 21:15:36 +0000

prometheus (2.3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Adjust dependencies versions.

 -- Martín Ferrari <tincho@debian.org>  Fri, 29 Jun 2018 11:57:47 +0000

prometheus (2.3.0+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream version.
  * New dependency golang-github-json-iterator-go-dev.
  * Refresh patches.
  * Depend on version of fsnotify with new import path.
  * Depend on latest common and client libs; remove now unneeded patch.
  * Add debconf translations for es, fr, nl, pt, and ru.
    Closes: #898186, #898299, #899024, #899230, #900713.
  * debian/copyright: properly place repackaging comment.
  * debian/control: Automated cme fixes.
  * Update dh compat level to 11.
  * debian/postinst: Stop changing permissions recursively.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jun 2018 15:27:23 +0000

prometheus (2.2.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Rebuild for stretch-backports. Closes: #894129.
  * debian/control: Current code requires golang 1.10.
  * debian/rules: add missing testdata dir.

 -- Martín Ferrari <tincho@debian.org>  Wed, 11 Apr 2018 13:20:22 +0000

=== debian/control ===
--- 
+++ 
@@ -4,43 +4,45 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
-               golang-github-fsnotify-fsnotify-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
                golang-github-go-kit-kit-dev,
                golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-golang-snappy-dev,
                golang-github-gophercloud-gophercloud-dev,
-               golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.3),
+               golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
+               golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-opentracing-contrib-go-stdlib-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 0.9.0~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20180110),
-               golang-github-prometheus-tsdb-dev (>= 0.0~git20180314),
+               golang-github-prometheus-common-dev (>= 0+git20180518),
+               golang-github-prometheus-tsdb-dev (>= 0.0~git20180711),
                golang-github-samuel-go-zookeeper-dev,
-               golang-go (>= 2:1.8~),
-               golang-golang-x-net-dev,
+               golang-go (>= 2:1.10~),
+               golang-golang-x-net-dev (>= 1:0.0+git20180124),
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-time-dev,
-               golang-google-api-dev,
+               golang-google-api-dev (>= 0.0~git20170907),
                golang-google-genproto-dev (>= 0.0~git20171123),
-               golang-google-grpc-dev,
+               golang-google-grpc-dev (>= 1.6.0~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus.git
+               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               po-debconf,
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
+Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/
 XS-Go-Import-Path: github.com/prometheus/prometheus

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Include test fixtures.
 export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
     promql/fuzz-data config/testdata util/httputil/testdata promql/testdata \
-    retrieval/testdata pkg/rulefmt/testdata
+    retrieval/testdata pkg/rulefmt/testdata scrape/testdata
 
 # Do not build examples.
 export DH_GOLANG_EXCLUDES := documentation vendor
@@ -38,8 +38,7 @@
 
 %:
 	# stop the service before upgrading, so we can move the v1 database away
-	dh $@ --buildsystem=golang --with=golang,systemd \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"

## prometheus 2.7.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
+               gogoprotobuf,
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
@@ -25,10 +26,10 @@
                golang-github-opentracing-contrib-go-stdlib-dev,
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev (>= 0.9.0~),
+               golang-github-prometheus-client-golang-dev (>= 0.9.0-1~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0+git20180518),
-               golang-github-prometheus-tsdb-dev (>= 0.0~git20180711),
+               golang-github-prometheus-common-dev (>= 0+git20181119),
+               golang-github-prometheus-tsdb-dev (>= 0.4.0),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.10~),
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
@@ -36,11 +37,12 @@
                golang-golang-x-time-dev,
                golang-google-api-dev (>= 0.0~git20170907),
                golang-google-genproto-dev (>= 0.0~git20171123),
-               golang-google-grpc-dev (>= 1.6.0~),
+               golang-google-grpc-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               golang-gopkg-yaml.v2-dev,
+               golang-grpc-gateway,
                po-debconf,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/
@@ -55,6 +57,7 @@
          libjs-jquery (>= 1.11.3~),
          libjs-jquery-hotkeys,
          libjs-moment,
+         libjs-moment-timezone,
          libjs-mustache (>= 2.3.0-1~),
          libjs-rickshaw,
          ${misc:Depends},

## prometheus 2.7.1+ds

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

STATICCHECK_IGNORE = \
  github.com/prometheus/prometheus/pkg/textparse/promlex.l.go:SA4006 \
  github.com/prometheus/prometheus/pkg/textparse/openmetricslex.l.go:SA4006

DOCKER_IMAGE_NAME       ?= prometheus

# Go modules needs the bzr binary because of the dependency on launchpad.net/gocheck.
$(eval $(call PRECHECK_COMMAND_template,bzr))
PRECHECK_OPTIONS_bzr = version

.PHONY: assets
assets:
	@echo ">> writing assets"
	cd $(PREFIX)/web/ui && GO111MODULE=$(GO111MODULE) $(GO) generate -x -v $(GOOPTS)
	@$(GOFMT) -w ./web/ui

.PHONY: check_assets
check_assets: assets
	@echo ">> checking that assets are up-to-date"
	@if ! (cd $(PREFIX)/web/ui && git diff --exit-code); then \
		echo "Run 'make assets' and commit the changes to fix the error."; \
		exit 1; \
	fi

=== debian/changelog ===
prometheus (2.7.1+ds-3~bpo9+2) stretch-backports; urgency=medium

  * Include unreleased fix for a crash:
    debian/patches: drop 10-Close-Querier.patch

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 20:43:40 +0000

prometheus (2.7.1+ds-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Remove dependency on transitional package.
  * Name update.
  * Update dependencies and versions.

 -- Martina Ferrari <tincho@debian.org>  Mon, 28 Oct 2019 20:32:14 +0000

prometheus (2.7.1+ds-3) unstable; urgency=medium

  * Missed one use of port :9090.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 18:10:02 +0000

prometheus (2.7.1+ds-2) unstable; urgency=medium

  * Use a lower port for tests, as most build daemons had 64999 in use.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 16:05:46 +0000

prometheus (2.7.1+ds-1) unstable; urgency=medium

  * New upstream release. Includes fix for CVE-2019-3826 (Stored DOM cross-site
    scripting (XSS) attack via crafted URL). Closes: #921615
  * Refresh patches.
  * debian/control: Update tsdb version dependency.
  * Update Standards-Version with no changes.
  * Revert commit c7d83b2 as the feature it introduces pulls a new version
    of a dependency. To be removed soon.
  * debian/rules: Regenerate protobuf files at buildtime.
  * Use a different port for tests that run prometheus.

 -- Martín Ferrari <tincho@debian.org>  Sun, 10 Feb 2019 04:45:36 +0000

prometheus (2.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update version requirement for tsdb and common.

 -- Martín Ferrari <tincho@debian.org>  Wed, 19 Dec 2018 15:52:20 +0000

prometheus (2.5.0+ds-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Cherry pick one-line patch from upstream to close dangling querier,
    avoiding deadlock in TSDB compaction.

 -- Martín Ferrari <tincho@debian.org>  Fri, 30 Nov 2018 11:25:51 +0100

prometheus (2.5.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Increase max open FDs to allow for higher scrape target volume.
    Signed-off-by: Daniel Swarbrick <daniel.swarbrick@profitbricks.com>

  [ Martín Ferrari ]
  * New upstream release.
    Does not match exactly upstream's release, due to git history issues.
    Instead is based on commit c2f32c99.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Nov 2018 02:36:30 +0000

prometheus (2.4.3+ds-2) unstable; urgency=medium

  * Fix test hanging due to connections kept open. Closes: #911434.

 -- Martín Ferrari <tincho@debian.org>  Mon, 22 Oct 2018 04:09:52 +0000

prometheus (2.4.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add German debconf translation. Closes: #905760.
  * Refresh patches
  * Update autorest patch.
  * Disable pprof support until dependency is packaged.
  * Fix test fixtures paths.
  * Update Standards-Version with no changes.
  * debian/control: Depend on current TSDB version.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Oct 2018 15:37:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: prometheus
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tincho@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               dh-golang (>= 1.17~),
-               gogoprotobuf,
+               dh-golang (>= 1.39~),
+               gogoprotobuf (>= 1.0.0+git20180330~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev (>= 10),
                golang-github-azure-go-autorest-dev (>= 8),
@@ -14,9 +14,9 @@
                golang-github-cockroachdb-cmux-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
                golang-github-go-kit-kit-dev,
-               golang-github-gogo-protobuf-dev (>= 0.5),
+               golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
                golang-github-golang-snappy-dev,
-               golang-github-gophercloud-gophercloud-dev,
+               golang-github-gophercloud-gophercloud-dev (>= 0.0~git20180917~),
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-go-cleanhttp-dev,
                golang-github-hashicorp-serf-dev,
@@ -37,9 +37,9 @@
                golang-golang-x-time-dev,
                golang-google-api-dev (>= 0.0~git20170907),
                golang-google-genproto-dev (>= 0.0~git20171123),
-               golang-google-grpc-dev,
+               golang-google-grpc-dev (>= 1.6.0~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev,
+               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
                golang-grpc-gateway,
                po-debconf,
 Standards-Version: 4.3.0

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 export DH_VERBOSE=1
 # Include test fixtures.
-export DH_GOLANG_INSTALL_EXTRA := discovery/file/fixtures \
-    promql/fuzz-data config/testdata util/httputil/testdata promql/testdata \
-    retrieval/testdata pkg/rulefmt/testdata scrape/testdata
+export DH_GOLANG_INSTALL_EXTRA := promql/fuzz-data \
+    config/testdata discovery/file/fixtures pkg/rulefmt/testdata \
+    promql/testdata rules/fixtures scrape/testdata
 
 # Do not build examples.
 export DH_GOLANG_EXCLUDES := documentation vendor
@@ -42,6 +42,20 @@
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
+PROMPB := $(CURDIR)/build/src/github.com/prometheus/prometheus/prompb
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(BUILDFLAGS)
+	protoc --gogofast_out=plugins=grpc:$(PROMPB) \
+            -I$(PROMPB) \
+            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
+            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
+            $(PROMPB)/*.proto
+	protoc --grpc-gateway_out=logtostderr=true:$(PROMPB) \
+            -I$(PROMPB) \
+            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
+            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
+            $(PROMPB)/rpc.proto
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

## prometheus 2.15.2%2Bds

=== debian/changelog ===
prometheus (2.15.2+ds-2) unstable; urgency=medium

  * Bump build-dep version for golang-github-opentracing-contrib-go-stdlib,
    in order to support gRPC streaming responses on remote read endpoint,
    as used by Thanos. (Closes: #948565)

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 13 Jan 2020 10:10:54 +0000

prometheus (2.15.2+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add myself to uploaders.
  * Refresh patches.
  * Patch out support for React web UI until build-deps can be satisfied.

  [ Martina Ferrari ]
  * debian/rules: Defer computation of some variables to build time.

 -- Martina Ferrari <tincho@debian.org>  Wed, 08 Jan 2020 17:07:22 +0000

prometheus (2.13.1+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * debian/patches: drop 10-Close-Querier.patch. Drop patch which was
    implemented upstream in v2.6.0. Retaining this patch longer than
    necessary led to q.Close() being called multiple times, resulting in a
    negative WaitGroup panic (see
    https://github.com/prometheus/prometheus/issues/5408).

  [ Martina Ferrari ]
  * New upstream release.
  * Name update.
  * Update dependencies and versions.
  * Update patching of UI.
  * Disable Azure until the Debian packages are updated.
  * Update dependencies and vendored copyright information.
  * Refresh patches. Make sure port 9090 is never used during tests, so
    autopkgtests don't fail. (Closes: #907171)
  * Re-enable pprof support.
  * Improve init script.
  * Update build exclusions.
  * Automated cme fixes.
  * Increase compat level to 12; add needed Pre-Depends for sysvinit.
  * Add manpage for tsdb(1).

 -- Martina Ferrari <tincho@debian.org>  Thu, 31 Oct 2019 03:38:37 +0000

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/prometheus-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$//,\
  https://github.com/prometheus/prometheus/tags .*/v?(\d\S*)\.tar\.gz
